Name: freeswitch
Version: 1.0.4
Release: alt2

Summary: FreeSWITCH open source telephony platform
License: MPL
Group: System/Servers
Url: http://www.freeswitch.org/

Source: %name-%version-%release.tar

BuildRequires: gcc-c++ libalsa-devel
BuildRequires: libgnutls-devel libncurses-devel libssl-devel libunixODBC-devel gdbm-devel db4-devel libldap-devel
BuildRequires: libcurl-devel libsofia-sip-devel libspandsp6-devel libspeex-devel libsqlite3-devel libsrtp perl-devel
BuildRequires: libxmlrpc-devel libyaml-devel libiksemel-devel libedit-devel libsndfile-devel libpcre-devel
BuildRequires: libapr1-devel libaprutil1-devel libilbc1-devel libjs-devel libjson-devel libmemcached-devel flite-devel
BuildRequires: libtiff-devel libldap-devel libsoundtouch-devel libudns-devel libunimrcp-devel python-dev
BuildRequires: libmpg123-devel liblame-devel libshout2-devel
BuildRequires: java-common java-1.6.0-openjdk-devel /proc
BuildRequires: erlang-devel

# BuildRequires: libopal-devel

%description
FreeSWITCH is an open source telephony platform designed to facilitate the creation of voice 
and chat driven products scaling from a soft-phone up to a soft-switch.  It can be used as a
simple switching engine, a media gateway or a media server to host IVR applications using 
simple scripts or XML to control the callflow. 

It supports various communication technologies such as SIP, H.323, IAX2 and GoogleTalk making
it easy to interface with other open source PBX systems such as sipX, OpenPBX, Bayonne, YATE or Asterisk.

%package -n lib%name
Summary: FreeSWITCH shared library
Group: System/Libraries

%package -n lib%name-devel
Summary: Development package for FreeSWITCH
Group: Development/C
Requires: lib%name = %version-%release

%package daemon
Summary: FreeSWITCH daemon
Group: System/Servers
Requires: lib%name = %version-%release
Requires: freeswitch-sounds-default

%package lang-en
Summary: English language dependand modules and sounds for the FreeSwitch
Group: System/Servers
Requires: %name-daemon = %version-%release

%package lang-fr
Summary: French language dependand modules and sounds for the FreeSwitch
Group: System/Servers
Requires: %name-daemon = %version-%release

%package lang-de
Summary: German language dependand modules and sounds for the FreeSwitch
Group: System/Servers
Requires: %name-daemon = %version-%release

%package lang-ru
Summary: Russian language dependand modules and sounds for the FreeSwitch
Group: System/Servers
Requires: %name-daemon = %version-%release

%package java
Summary: Java support for the FreeSWITCH open source telephony platform
Group: Development/Java
Requires: %name-daemon = %version-%release
Requires: java >= 1.6.0

%package lua
Summary: Lua support for the FreeSWITCH open source telephony platform
Group: Development/Other
Requires: %name-daemon = %version-%release

%package perl
Summary: Perl support for the FreeSWITCH open source telephony platform
Group: Development/Perl
Requires: %name-daemon = %version-%release

%package python
Summary: Python support for the FreeSWITCH open source telephony platform
Group: Development/Python
Requires: %name-daemon = %version-%release

%package spidermonkey
Summary: JavaScript support for the FreeSWITCH open source telephony platform
Group: Development/Other
Requires: %name-daemon = %version-%release

# {{{ descriptions

%description -n lib%name
FreeSWITCH shared library

%description -n lib%name-devel
FreeSWITCH development files

%description daemon
FreeSWITCH is an open source telephony platform designed to facilitate the creation of voice 
and chat driven products scaling from a soft-phone up to a soft-switch.  It can be used as a
simple switching engine, a media gateway or a media server to host IVR applications using 
simple scripts or XML to control the callflow. 

%description spidermonkey
JavaScript support for the FreeSWITCH open source telephony platform

%description java
Java support for the FreeSWITCH open source telephony platform

%description lua
Lua support for the FreeSWITCH open source telephony platform

%description perl
Perl support for the FreeSWITCH open source telephony platform

%description python
Python support for the FreeSWITCH open source telephony platform

%description lang-en
English language phrases module and directory structure for say module and voicemail

%description lang-fr
French language phrases module and directory structure for say module and voicemail

%description lang-de
German language phrases module and directory structure for say module and voicemail

%description lang-ru
Russian language phrases module and directory structure for say module and voicemail

# }}}

%prep
%setup

%build
%autoreconf
%configure \
    --localstatedir=%_var \
    --enable-core-libedit-support \
    --enable-core-odbc-support \
    --with-libcurl \
    --with-openssl \
    --disable-static \
    #

#Create the version header file here
sed "s/@SVN_VERSION@/%version-%release/g" < src/include/switch_version.h.in > src/include/switch_version.h
touch .noversion

make VERBOSE=1

%install
%make_install DESTDIR=%buildroot install
install -pm0755 -D freeswitch.init %buildroot%_initdir/freeswitch
install -pm0644 -D freeswitch.sysconfig %buildroot%_sysconfdir/sysconfig/freeswitch

mkdir -p \
    %buildroot%_sbindir \
    %buildroot%_var/lib/freeswitch/recordings \
    %buildroot%_logdir/freeswitch/{cdr-csv,xml_cdr}

mv %buildroot%_bindir/freeswitch %buildroot%_sbindir/

find %buildroot%_libdir/%name -name \*.la -delete
%add_python_req_skip _freeswitch

#---------------------------------------------------------------
%pre daemon
/usr/sbin/groupadd -r -f _pbx &>/dev/null
/usr/sbin/useradd -r -g _pbx -d /dev/null -s /dev/null \
    -c "freeswitch" -M -n _pbx &>/dev/null ||:

%post daemon
%post_service %name

%preun daemon
%preun_service %name

#---------------------------------------------------------------
%files -n lib%name
%_libdir/libfreeswitch*.so.*

%files -n lib%name-devel
%_bindir/fsxs
%_includedir/freeswitch
%_libdir/libfreeswitch*.so

%files daemon
%_initdir/freeswitch

%config(noreplace) %_sysconfdir/sysconfig/freeswitch

%dir %attr(0750, root, _pbx) %_sysconfdir/%name

%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/*.tpl
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/*.ttml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/*.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/*.conf
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/mime.types

%dir %attr(0750, root, _pbx) %_sysconfdir/%name/autoload_configs
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/acl.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/alsa.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/cidlookup.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/conference.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/console.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/dialplan_directory.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/dingaling.conf.xml 
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/easyroute.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/enum.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/event_multicast.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/event_socket.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/cdr_csv.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/fax.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/fifo.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/iax.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/ivr.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/lcr.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/limit.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/local_stream.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/logfile.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/memcache.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/modules.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/nibblebill.conf.xml
#config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/opal.conf.xml
#config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/pocketsphinx.conf.xml
#config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/portaudio.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/post_load_modules.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/rss.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/shout.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/sofia.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/switch.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/syslog.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/timezones.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/unimrcp.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/voicemail.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/xml_cdr.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/xml_curl.conf.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/xml_rpc.conf.xml
#config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/zeroconf.conf.xml

%dir %attr(0750, root, _pbx) %_sysconfdir/%name/directory
%dir %attr(0750, root, _pbx) %_sysconfdir/%name/directory/default
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/directory/default.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/directory/default/default.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/directory/default/example.com.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/directory/default/usertemplate.xml

%dir %attr(0750, root, _pbx) %_sysconfdir/%name/dialplan
%dir %attr(0750, root, _pbx) %_sysconfdir/%name/dialplan/default
%dir %attr(0750, root, _pbx) %_sysconfdir/%name/dialplan/public
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/dialplan/default.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/dialplan/default/99998_example.com.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/dialplan/default/99999_enum.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/dialplan/public.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/dialplan/public/00_inbound_did.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/dialplan/features.xml

%dir %attr(0750, root, _pbx) %_sysconfdir/%name/mrcp_profiles
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/mrcp_profiles/*.xml

%dir %attr(0750, root, _pbx) %_sysconfdir/%name/sip_profiles
%dir %attr(0750, root, _pbx) %_sysconfdir/%name/sip_profiles/internal
%dir %attr(0750, root, _pbx) %_sysconfdir/%name/sip_profiles/external
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/sip_profiles/*.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/sip_profiles/internal/*.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/sip_profiles/external/*.xml

%dir %attr(0750, root, _pbx) %_sysconfdir/%name/jingle_profiles
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/jingle_profiles/*.xml

%dir %attr(0750, root, _pbx) %_sysconfdir/%name/lang

%_sbindir/freeswitch
%_bindir/fs_cli
%_bindir/fs_ivrd

%dir %_libdir/%name
%_libdir/%name/mod_alsa.so
%_libdir/%name/mod_amr.so
%_libdir/%name/mod_cidlookup.so
%_libdir/%name/mod_cdr_csv.so
%_libdir/%name/mod_cluechoo.so
%_libdir/%name/mod_commands.so
%_libdir/%name/mod_conference.so
%_libdir/%name/mod_console.so
%_libdir/%name/mod_curl.so
%_libdir/%name/mod_dialplan_asterisk.so
%_libdir/%name/mod_dialplan_directory.so
%_libdir/%name/mod_dialplan_xml.so
%_libdir/%name/mod_dingaling.so
%_libdir/%name/mod_dptools.so
%_libdir/%name/mod_easyroute.so
%_libdir/%name/mod_enum.so
%_libdir/%name/mod_erlang_event.so
%_libdir/%name/mod_esf.so
%_libdir/%name/mod_event_multicast.so
%_libdir/%name/mod_event_socket.so
%_libdir/%name/mod_expr.so
%_libdir/%name/mod_fax.so
%_libdir/%name/mod_fifo.so
%_libdir/%name/mod_file_string.so
%_libdir/%name/mod_flite.so
%_libdir/%name/mod_fsv.so
%_libdir/%name/mod_g723_1.so
%_libdir/%name/mod_g729.so
%_libdir/%name/mod_h26x.so
%_libdir/%name/mod_iax.so
%_libdir/%name/mod_ilbc.so
%_libdir/%name/mod_lcr.so
%_libdir/%name/mod_ldap.so
%_libdir/%name/mod_limit.so
%_libdir/%name/mod_local_stream.so
%_libdir/%name/mod_logfile.so
%_libdir/%name/mod_loopback.so
%_libdir/%name/mod_memcache.so
%_libdir/%name/mod_native_file.so
%_libdir/%name/mod_nibblebill.so
%_libdir/%name/mod_rss.so
%_libdir/%name/mod_siren.so
%_libdir/%name/mod_shout.so
%_libdir/%name/mod_sndfile.so
%_libdir/%name/mod_snom.so
%_libdir/%name/mod_sofia.so
%_libdir/%name/mod_soundtouch.so
%_libdir/%name/mod_speex.so
%_libdir/%name/mod_spy.so
%_libdir/%name/mod_syslog.so
%_libdir/%name/mod_tone_stream.so
%_libdir/%name/mod_unimrcp.so
%_libdir/%name/mod_vmd.so
%_libdir/%name/mod_voicemail.so
%_libdir/%name/mod_voipcodecs.so
%_libdir/%name/mod_xml_cdr.so
%_libdir/%name/mod_xml_curl.so
%_libdir/%name/mod_yaml.so

%dir %_datadir/%name
%dir %_datadir/%name/scripts
%dir %_datadir/%name/sounds
%dir %_datadir/%name/htdocs
%dir %_datadir/%name/grammar
#dir %_datadir/%name/grammar/model
#dir %_datadir/%name/grammar/model/communicator
#dir %_datadir/%name/grammar/model/wsj1

%dir %attr(0770, root, _pbx) %_spooldir/%name
%dir %attr(0770, root, _pbx) %_spooldir/%name/vm

%dir %attr(0770, root, _pbx) %_localstatedir/%name
%dir %attr(0770, root, _pbx) %_localstatedir/%name/db
%dir %attr(0770, root, _pbx) %_localstatedir/%name/recordings

%dir %attr(0770, root, _pbx) %_logdir/%name
%dir %attr(0770, root, _pbx) %_logdir/%name/cdr-csv
%dir %attr(0770, root, _pbx) %_logdir/%name/xml_cdr

%dir %attr(0770, root, _pbx) %_var/run/%name

%files spidermonkey
%_libdir/%name/mod_spidermonkey*.so*
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/spidermonkey.conf.xml

%files java
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/java.conf.xml
%_libdir/%name/mod_java.so*
%_datadir/%name/scripts/%name.jar

%files lua
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/lua.conf.xml
%_libdir/%name/mod_lua.so*

%files perl
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/perl.conf.xml
%_libdir/%name/mod_perl.so*
%perl_vendor_archlib/freeswitch.pm
%perl_vendor_autolib/freeswitch/freeswitch.so

%files python
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/autoload_configs/python.conf.xml
%_libdir/%name/mod_python.so*
%python_sitelibdir/freeswitch.py*

%files lang-en
%dir %attr(0750, root, _pbx) %_sysconfdir/%name/lang/en
%dir %attr(0750, root, _pbx) %_sysconfdir/%name/lang/en/demo
%dir %attr(0750, root, _pbx) %_sysconfdir/%name/lang/en/vm
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/lang/en/*.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/lang/en/demo/*.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/lang/en/vm/*.xml
%_libdir/%name/mod_say_en.so*

%files lang-de
%dir %attr(0750, root, _pbx) %_sysconfdir/%name/lang/de
%dir %attr(0750, root, _pbx) %_sysconfdir/%name/lang/de/demo
%dir %attr(0750, root, _pbx) %_sysconfdir/%name/lang/de/vm
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/lang/de/*.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/lang/de/demo/*.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/lang/de/vm/*.xml

%files lang-fr
%dir %attr(0750, root, _pbx) %_sysconfdir/%name/lang/fr
%dir %attr(0750, root, _pbx) %_sysconfdir/%name/lang/fr/demo
%dir %attr(0750, root, _pbx) %_sysconfdir/%name/lang/fr/vm
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/lang/fr/*.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/lang/fr/demo/*.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/lang/fr/vm/*.xml

%files lang-ru
%dir %attr(0750, root, _pbx) %_sysconfdir/%name/lang/ru
%dir %attr(0750, root, _pbx) %_sysconfdir/%name/lang/ru/demo
%dir %attr(0750, root, _pbx) %_sysconfdir/%name/lang/ru/vm
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/lang/ru/*.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/lang/ru/demo/*.xml
%config(noreplace) %attr(0640, root, _pbx) %_sysconfdir/%name/lang/ru/vm/*.xml
%_libdir/%name/mod_say_ru.so*

%changelog
* Sat Sep 19 2009 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.0.4-alt2
- 1.0.4 released

* Wed Jul 29 2009 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.0.3-alt3
- rebuilt due spandsp soname change

* Sat May 23 2009 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.0.3-alt1
- 1.0.3 released

* Wed Jan 14 2009 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.0.2-alt1
- first build for ALTLinux
